---
schema_version: "1"
id: 675a33edf14dc4c96d03cdf34bcaf336d048705986344b5197015be7e0030bed
title: POSVitals Webhook
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/retail-cloud/reference/generated-api-specs/posvitals-webhook.md
canonical_url: https://developer.salesforce.com/docs/commerce/retail-cloud/references/posvitals-webhook
source_site: developer.salesforce.com
content_type: documentation
content_hash: 437097c54fb17e271919a0d1a5e0b8f3df35378b8c3713ab50ad4d1764fddbed
products:
  - Point of Sale for Developers
  - Salesforce APIs
---
POSVitals Webhook

# POSVitals Webhook

[Download specification](https://developer.salesforce.com/static/commercecloud/retail-cloud/posvitals-webhook/posvitals-webhook-oas-public.yaml)

This API sends POS vitals to external systems.

**Version:** 2.3.4

## Tags

### POSVitals Webhook

[Download specification](https://developer.salesforce.com/static/commercecloud/retail-cloud/posvitals-webhook/posvitals-webhook-oas-public.yaml)

This API sends POS vitals to external systems.

## Operations

### POST Export POSVitals.

`POST /merchant/spi/sample/endpoint/sa/posvitals`

Operation ID: `exportPOSVitals`. Tags: POSVitals Webhook.

Export POSVitals to external system.

#### Request body

Media type: `application/json`. Schema: `POSVitalsDto`.

#### Responses

*   **default** Default response.
    
    Media type: `application/json`. Schema: `SpiPSResponse`.
    

## Schemas

### POSVitalsDto

*   `storeId` (_string_) Store ID.
*   `storeAssociateId` (_string_) Store Associate ID.
*   `installationId` (_string_) Unique Installation ID.
*   `storeRegisterId` (_string_) Store Register ID.
*   `lastSeenOn` (_integer (int64)_) Last time this register was online. Represented as milliseconds since epoch.
*   `lastWentOfflineOn` (_integer (int64)_) Last time when register went offline represented as milliseconds since epoch.
*   `lastOnlineOrderPlacedOn` (_integer (int64)_) Last time when an online order was placed. Represented as milliseconds since epoch.
*   `lastOfflineOrderPlacedOn` (_integer (int64)_) Last time when an offline order was placed. Represented as milliseconds since epoch.
*   `buildNumber` (_string_) Build Number.
*   `lastOfflineProductFeedDownloadedOn` (_integer (int64)_) Last time when offline product feed was downloaded. Represented as milliseconds since epoch.
*   `lastOfflineProductFeedItemCount` (_string_) Number of records in offline product feed download.
*   `numberOfOfflineProducts` (_string_) Number of records that were successfully stored in offline product DB stored in the app.
*   `lastOfflineTaxFeedDownloadedOn` (_integer (int64)_) Last time when offline tax feed was downloaded. Represented as milliseconds since epoch.
*   `lastOfflineTaxFeedItemCount` (_string_) Number of records in offline product feed download.
*   `numberOfTaxEntriesInOfflineDB` (_string_) Number of records that were successfully stored in offline tax DB table stored in the app.
*   `numberOfOrdersInOfflineDB` (_string_) Number of orders in offline order DB table stored in the app.
*   `lastOfflineOrderSyncedOn` (_integer (int64)_) Last time when an offline order sync was done. Represented as milliseconds since epoch.
*   `wifiStrength` (_number_) WiFi Signal Strength.
*   `lastNetworkFailureOccurredOn` (_integer (int64)_) Last time when a network failure happened. Represented as milliseconds since epoch.
*   `lastAssociateSignInOccurredOn` (_integer (int64)_) Last time when a store associate signed in to this register. Represented as milliseconds since epoch.
*   `lastAssociateSignOutOccurredOn` (_integer (int64)_) Last time when store associate signed out to this register. Represented as milliseconds since epoch.
*   `lastAssociateToSignIn` (_string_) Last store associate who signed in to this register.
*   `lastAssociateToSignOut` (_string_) Last store associate who signed out of this register.
*   `deviceName` (_string_) POS Register device name.
*   `deviceType` (_string_) POS device type. For example, iPad.
*   `ipAddress` (_string_) POS register IP address.
*   `cashDrawerSerialNumber` (_string_) Serial number of the cash drawer connected to this POS register.
*   `cashDrawerModel` (_string_) Model number of the cash drawer connected to this POS register.
*   `cashDrawerConnectionType` (_string_) Connection type of the cash drawer connected to this POS register, for example, WiFi, LAN, or Bluetooth.
*   `scannerSerialNumber` (_string_) Serial number of the scanner connected to this POS register.
*   `scannerModel` (_string_) Model number of the scanner connected to this POS register.
*   `scannerConnectionType` (_string_) Connection type of the scanner connected to this POS register, for example, WiFi, LAN, or Bluetooth.
*   `cardReaderSerialNumber` (_string_) Serial number of the payment card reader connected to this POS register.
*   `cardReaderModel` (_string_) Model number of the payment card reader connected to this POS register.
*   `cardReaderIpAddress` (_string_) IP address of the payment card reader connected to this POS register.
*   `cardReaderConnectionType` (_string_) Connection type of the payment card reader connected to this POS register, for example, WiFi, LAN, or Bluetooth.
*   `cardReaderIntegrationType` (_string_) Integration type of the payment card reader connected to this POS register, for example, Terminal API or SDK.
*   `receiptPrinterSerialNumber` (_string_) Serial number of the receipt printer connected to this POS register.
*   `receiptPrinterModel` (_string_) Model number of the receipt printer connected to this POS register.
*   `receiptPrinterIPAddress` (_string_) IP address of the receipt printer connected to this POS register.
*   `receiptPrinterConnectionType` (_string_) Connection type of the receipt printer connected to this POS register, for example, WiFi, LAN, or Bluetooth.
*   `cashDrawerConnected` (_string_) Flag indicating whether cash drawer is connected to this POS register.
*   `cashDrawerConnectedOn` (_integer (int64)_) Last time when cash drawer was connected to this register. Represented as milliseconds since epoch.
*   `cashDrawerConnectionIssue` (_string_) Details about any connect issues related to cash drawer.
*   `printerConnected` (_string_) Flag indicating whether receipt printer is connected to this POS register.
*   `printerLastConnectedOn` (_integer (int64)_) Last time when receipt printer was connected to this register. Represented as milliseconds since epoch.
*   `printerConnectionIssue` (_string_) Details about any connect issues related to receipt printer.
*   `paymentTerminalConnected` (_string_) Flag indicating whether payment terminal is connected to this POS register.
*   `paymentTerminalLastConnectedOn` (_integer (int64)_) Last time when payment terminal was connected to this register. Represented as milliseconds since epoch.
*   `paymentTerminalConnectionIssue` (_string_) Details about any connect issues related to payment terminal.
*   `scannerConnected` (_string_) Flag indicating whether scanner is connected to this POS register.
*   `scannerLastConnectedOn` (_integer (int64)_) Last time when scanner was connected to this register. Represented as milliseconds since epoch.
*   `scannerConnectionIssue` (_string_) Details about any connect issues related to scanner.
*   `lastOfflineAssociatesFeedDownloadedOn` (_integer (int64)_) Last time when offline store associates feed was downloaded to this register. Represented as milliseconds since epoch.
*   `lastOfflineAssociatesItemCount` (_integer (int32)_) Number of offline store associates that were downloaded to this register. This is just the number of records in the download.
*   `numberOfOfflineAssociates` (_integer (int32)_) Number of offline store associates. This is the successfully imported offline associate count.
*   `lastOfflineLoginErrorOccurredOn` (_integer (int64)_) Last time when offline store associate login failed. Represented as milliseconds since epoch.
*   `numberOfPendingOnlineOrders` (_integer (int32)_) Number of pending online orders. This is just to track phase 2 order submission failure.
*   `lastOnlineOrderSyncedOn` (_integer (int64)_) Last time when online orders were synced. Represented as milliseconds since epoch. This is just to track phase 2 order submission failure.
*   `upcScanFailureIssue` (_string_) UPC Scan failure related details. This is different from scanner connection issues.
*   `cardPaymentFailureIssue` (_string_) Card payment failure related details. This is different from payment terminal connection issues.
*   `lastOfflineLoginError` (_string_) Last offline login error details.
*   `offlinePOSVitalsLog` (_OfflinePOSVitalsLog_)
*   `offlineTaxFeedLastUpdatedOn` (_integer (int64)_) Last time when offline tax feed was updated. Represented as milliseconds since epoch.
*   `offlineTaxFeedLastStoredOn` (_integer (int64)_) Timestamp when the offline tax feed was last stored. Represented as milliseconds since epoch.
*   `offlineTaxFeedLastDownloadedOn` (_integer (int64)_) Timestamp when the offline tax feed was last downloaded. Represented as milliseconds since epoch.
*   `offlineTaxFeedDbRecordCount` (_integer (int32)_) Number of records in the offline tax feed database.
*   `offlineTaxFeedLastDownloadedRecordCount` (_integer (int32)_) Number of records in the last downloaded offline tax feed.
*   `offlineStoreCredentialsLastStoredOn` (_integer (int64)_) Timestamp when offline store credentials were last stored. Represented as milliseconds since epoch.
*   `offlineStoreCredentialsLastUpdatedOn` (_integer (int64)_) Timestamp when offline store credentials were last updated. Represented as milliseconds since epoch.
*   `offlineStoreCredentialsLastDownloadedOn` (_integer (int64)_) Timestamp when offline store credentials were last downloaded. Represented as milliseconds since epoch.
*   `offlineStoreCredentialsDbRecordCount` (_integer (int32)_) Number of records in the offline store credentials database.
*   `offlineStoreCredentialsLastDownloadedRecordCount` (_integer (int32)_) Number of records in the last downloaded offline store credentials.
*   `offlineProductFeedLastDownloadedOn` (_integer (int64)_) Last time when offline product feed was downloaded. Represented as milliseconds since epoch.
*   `offlineProductFeedLastDownloadedFileCreatedTime` (_integer (int64)_) Timestamp when the last downloaded file for offline product feed was created. Represented as milliseconds since epoch.
*   `offlineProductFeedLastProcessedFileName` (_string_) Name of the last processed file for offline product feed.
*   `offlineProductFeedLastUpdatedOn` (_integer (int64)_) Timestamp when the offline product feed was last updated. Represented as milliseconds since epoch.
*   `offlineProductFeedLastStoredOn` (_integer (int64)_) Timestamp when the offline product feed was last stored. Represented as milliseconds since epoch.
*   `offlineProductFeedDbRecordCount` (_integer (int32)_) Number of records in the offline product feed database.
*   `offlineProductFeedLastDownloadedRecordCount` (_integer (int32)_) Number of records in the last downloaded offline product feed.
*   `offlineProductDeltaLastStoredOn` (_integer (int64)_) Timestamp when offline product delta data was last stored. Represented as milliseconds since epoch.
*   `offlineProductDeltaLastUpdatedOn` (_integer (int64)_) Timestamp when offline product delta data was last updated. Represented as milliseconds since epoch.
*   `offlineProductDeltaLastDownloadedOn` (_integer (int64)_) Timestamp when offline product delta data was last downloaded. Represented as milliseconds since epoch.
*   `offlineProductDeltaLastProcessedFileName` (_string_) Name of the last processed file for offline product delta data.
*   `offlineProductDeltaLastDownloadedFileCreatedTime` (_integer (int64)_) Timestamp when the last downloaded file for offline product delta data was created. Represented as milliseconds since epoch.
*   `offlineProductDeltaLastDownloadedRecordCount` (_integer (int32)_) Number of records in the last downloaded offline product delta data.
*   `offlinePromotionsLastProcessedFileName` (_string_) Name of the last processed file for offline promotions.
*   `offlinePromotionsLastDownloadedFileCreatedTime` (_integer (int64)_) Timestamp when the last downloaded file for offline promotions was created. Represented as milliseconds since epoch.
*   `offlinePromotionsLastDownloadedOn` (_integer (int64)_) Timestamp when offline promotions data was last downloaded. Represented as milliseconds since epoch.
*   `offlinePromotionsLastStoredOn` (_integer (int64)_) Timestamp when offline promotions data was last stored. Represented as milliseconds since epoch.
*   `offlinePromotionsLastUpdatedOn` (_integer (int64)_) Timestamp when offline promotions data was last updated. Represented as milliseconds since epoch.
*   `offlinePromotionsDbRecordCount` (_integer (int32)_) Number of records in the offline promotions database.
*   `offlinePromotionsLastDownloadedRecordCount` (_integer (int32)_) Number of records in the last downloaded offline promotions data.

### SpiPSResponse

*   `errorMessage` (_string_, nullable) Error message shown to the user.  
    Example: `Invalid request. Please check the request and try again.`.
*   `errorCode` (_string_, nullable) Error code shown to the user.  
    Example: `INTERNAL_ERROR`.
*   `error` (_boolean_)

### OfflinePOSVitalsLog

Offline vital details.

*   `offlinePOSVitalsStartTime` (_integer (int64)_) Record of offline POS Vital Start Time.
*   `offlinePOSVitalsEndTime` (_integer (int64)_) Record of offline POS Vital End Time.
*   `offlineReason` (_string_, nullable) Record of offline reason.
*   `description` (_string_, nullable) Description of offline reason.
*   `lastOnlineOrderPlacedOn` (_integer (int64)_) Last time when an online order was placed. Represented as milliseconds since epoch.
*   `lastOfflineOrderPlacedOn` (_integer (int64)_) Last time when an offline order was placed. Represented as milliseconds since epoch.
*   `offlineTaxFeedLastUpdatedOn` (_integer (int64)_) Last time when offline tax feed was updated. Represented as milliseconds since epoch.
*   `offlineTaxFeedLastStoredOn` (_integer (int64)_) Timestamp when the offline tax feed was last stored. Represented as milliseconds since epoch.
*   `offlineTaxFeedLastDownloadedOn` (_integer (int64)_) Timestamp when the offline tax feed was last downloaded. Represented as milliseconds since epoch.
*   `offlineTaxFeedDbRecordCount` (_integer (int32)_) Number of records in the offline tax feed database.
*   `offlineTaxFeedLastDownloadedRecordCount` (_integer (int32)_) Number of records in the last downloaded offline tax feed.
*   `offlineStoreCredentialsLastStoredOn` (_integer (int64)_) Timestamp when offline store credentials were last stored. Represented as milliseconds since epoch.
*   `offlineStoreCredentialsLastUpdatedOn` (_integer (int64)_) Timestamp when offline store credentials were last updated. Represented as milliseconds since epoch.
*   `offlineStoreCredentialsLastDownloadedOn` (_integer (int64)_) Timestamp when offline store credentials were last downloaded. Represented as milliseconds since epoch.
*   `offlineStoreCredentialsDbRecordCount` (_integer (int32)_) Number of records in the offline store credentials database.
*   `offlineStoreCredentialsLastDownloadedRecordCount` (_integer (int32)_) Number of records in the last downloaded offline store credentials.
*   `offlineProductFeedLastDownloadedFileCreatedTime` (_integer (int64)_) Timestamp when the last downloaded file for offline product feed was created. Represented as milliseconds since epoch.
*   `offlineProductFeedLastProcessedFileName` (_string_) Name of the last processed file for offline product feed.
*   `offlineProductFeedLastUpdatedOn` (_integer (int64)_) Timestamp when the offline product feed was last updated. Represented as milliseconds since epoch.
*   `offlineProductFeedLastStoredOn` (_integer (int64)_) Timestamp when the offline product feed was last stored. Represented as milliseconds since epoch.
*   `offlineProductFeedDbRecordCount` (_integer (int32)_) Number of records in the offline product feed database.
*   `offlineProductFeedLastDownloadedRecordCount` (_integer (int32)_) Number of records in the last downloaded offline product feed.
*   `offlineProductDeltaLastStoredOn` (_integer (int64)_) Timestamp when offline product delta data was last stored. Represented as milliseconds since epoch.
*   `offlineProductDeltaLastUpdatedOn` (_integer (int64)_) Timestamp when offline product delta data was last updated. Represented as milliseconds since epoch.
*   `offlineProductDeltaLastDownloadedOn` (_integer (int64)_) Timestamp when offline product delta data was last downloaded. Represented as milliseconds since epoch.
*   `offlineProductDeltaLastProcessedFileName` (_string_) Name of the last processed file for offline product delta data.
*   `offlineProductDeltaLastDownloadedFileCreatedTime` (_integer (int64)_) Timestamp when the last downloaded file for offline product delta data was created. Represented as milliseconds since epoch.
*   `offlineProductDeltaLastDownloadedRecordCount` (_integer (int32)_) Number of records in the last downloaded offline product delta data.
*   `offlinePromotionsLastProcessedFileName` (_string_) Name of the last processed file for offline promotions.
*   `offlinePromotionsLastDownloadedFileCreatedTime` (_integer (int64)_) Timestamp when the last downloaded file for offline promotions was created. Represented as milliseconds since epoch.
*   `offlinePromotionsLastDownloadedOn` (_integer (int64)_) Timestamp when offline promotions data was last downloaded. Represented as milliseconds since epoch.
*   `offlinePromotionsLastStoredOn` (_integer (int64)_) Timestamp when offline promotions data was last stored. Represented as milliseconds since epoch.
*   `offlinePromotionsLastUpdatedOn` (_integer (int64)_) Timestamp when offline promotions data was last updated. Represented as milliseconds since epoch.
*   `offlinePromotionsDbRecordCount` (_integer (int32)_) Number of records in the offline promotions database.
*   `offlinePromotionsLastDownloadedRecordCount` (_integer (int32)_) Number of records in the last downloaded offline promotions data.
*   `merchantId` (_string_)
*   `installationId` (_string_)
*   `storeId` (_string_)
*   `locale` (_string_)
*   `region` (_string_)